Summary:     Program for join MSVSphere host to domain
Name:           join-to-domain
Version:         1.0.0
Release:        2%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.conf

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel
Requires:       %{name}-cli = %{version}-%{release}

%global debug_package %{nil}
%define _build_id_links none

%description
Program for join MSVSphere host to domain. GUI components.

%package cli
Summary: Join MSVSphere host to domain cli components
Requires:       ipa-client
Requires:       samba-common-tools
Requires:       realmd
Requires:       adcli
Requires:       samba-winbind

%description cli
Program for join MSVSphere host to domain. CLI components.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
ln -s %{_usr}/lib/%{name}/scripts/join-to-domain.sh %{buildroot}%{_bindir}

%find_lang %{name}
cp -f %{SOURCE1} %{buildroot}%{_usr}/lib/%{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.join_to_domain.desktop

%files -f %{name}.lang cli
%doc README.md
%license COPYING
%{_usr}/lib/%{name}
%{_bindir}/%{name}.sh

%files
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.join_to_domain.desktop
%{_datadir}/metainfo/com.inferit.join_to_domain.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.join_to_domain.gschema.xml


%changelog
* Tue May 20 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-2
- changed packages names

* Fri Mar 28 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-1
- Initial build
